--- title: "View method" slug: "apigateway-getmethods" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-getmethods" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View method Available in Classic and VPC View the list of user-defined and created methods inside the resource path. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PATCH | /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name} | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 1 - 10 - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API to view - 1 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `resource-id` | String | Required | ID of the target resource in the API - 1 - 10 characters - See [View resource list](/docs/en/apigateway-resource-getresourcelist) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/p1hiuvmwv3/methods' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "methods" : [ { "methodDescription" : "methodDescription", "resourceId" : "resourceId", "useBodyWhenFormData" : true, "endpointCode" : "endpointCode", "modifier" : "modifier", "resourcePath" : "resourcePath", "methodName" : "ANY", "ncpEndPoint" : { "method" : "ANY", "stream" : true, "service" : "service", "actionId" : "actionId", "region" : "KR", "url" : "url", "actionName" : "actionName" }, "requiredApiKey" : { "required" : true }, "mockEndPoint" : { "headers" : { "key" : "value" }, "response" : "response", "httpStatus" : 0 }, "endpointActionId" : "endpointActionId", "produces" : "produces", "tenantId" : "tenantId", "consumers" : "consumers", "methodFilters" : [ { "configJson" : "configJson", "resourceId" : "resourceId", "filterName" : "AUTH", "apiId" : "apiId", "methodCode" : "methodCode" } ], "apiId" : "apiId", "validation" : { "headers" : [ "headers" ], "queryStrings" : [ "queryStrings" ], "type" : "NONE" }, "authentication" : { "authorizerId" : "authorizerId", "platform" : "NONE" }, "endpointConfigJson" : "endpointConfigJson", "httpEndPoint" : { "method" : "ANY", "stream" : true, "url" : "url" } } ] } ``` ### Response status codes For response status codes common to API Gateway, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "methods": [ { "methodDescription": "", "resourceId": "p1hiuvmwv3", "methodName": "DELETE", "apiId": "cvcohvd2xj", "endpointCode": "0007", "mockEndPoint": { "httpStatus": 200, "response": "Successfully deleted", "headers": { "timestamp": "103958846273" } }, "consumers": "application/json", "produces": "application/json", "useBodyWhenFormData": false, "tenantId": "********65ec41039ce6668c2058b8a9", "modifier": "********-7fcd-11ec-a6ba-246e9659184c", "validation": { "type": "QUERYSTRING_HEADERS", "queryStrings": [ "accountId" ], "headers": [ "teamNumber" ] }, "authentication": { "platform": "NONE" }, "requiredApiKey": { "required": true } }, { "methodDescription": "", "resourceId": "p1hiuvmwv3", "methodName": "OPTIONS", "apiId": "cvcohvd2xj", "endpointCode": "0008", "ncpEndPoint": { "service": "Cloud Functions", "region": "KR", "actionId": "******Jbeodp/pckg/act02", "actionName": "pckg/act02", "stream": true, "method": "OPTIONS", "url": "http://ncf.navercorp.com/api/v1/web/******Jbeodp/pckg/act02.{type}" }, "useBodyWhenFormData": false, "tenantId": "********65ec41039ce6668c2058b8a9", "modifier": "********-7fcd-11ec-a6ba-246e9659184c", "validation": { "type": "NONE" }, "authentication": { "platform": "NONE" }, "requiredApiKey": { "required": false } } ] } ```